program sdrMRS
  ! Program to compute RMS values for values along 1st dimension


  use sep
  implicit none

  integer                     :: n1,n2,n3,n4,n5
  real                        :: d1,d2,d3,d4,d5
  real                        :: o1,o2,o3,o4,o5
  integer                     :: ii,jj,kk,ll,mm
  character*50                :: label1,label2,label3,label4,label5

  real,allocatable            :: datain(:)
  double precision            :: dataout


  call sep_init()

  call from_history("n1",n1,1 )
  call from_history("n2",n2,1 )
  call from_history("n3",n3,1 )
  call from_history("n4",n4,1 )
  call from_history("n5",n5,1 )

  call from_history("d1",d1,1.)
  call from_history("d2",d2,1.)
  call from_history("d3",d3,1.)
  call from_history("d4",d4,1.)
  call from_history("d5",d5,1.)

  call from_history("o1",o1,0.)
  call from_history("o2",o2,0.)
  call from_history("o3",o3,0.)
  call from_history("o4",o4,0.)
  call from_history("o5",o5,0.)

  call from_history("label1",label1,' ')
  call from_history("label2",label2,' ')
  call from_history("label3",label3,' ')
  call from_history("label4",label4,' ')
  call from_history("label5",label5,' ')

  call to_history("n1",n2 )
  call to_history("n2",n3 )
  call to_history("n3",n4 )
  call to_history("n4",n5 )
  call to_history("n5",1  )

  call to_history("d1",d2)
  call to_history("d2",d3)
  call to_history("d3",d4)
  call to_history("d4",d5)
  call to_history("d5",1.)

  call to_history("o1",o2)
  call to_history("o2",o3)
  call to_history("o3",o4)
  call to_history("o4",o5)
  call to_history("o5",0.)

  call to_history("label1",label2)
  call to_history("label2",label3)
  call to_history("label3",label4)
  call to_history("label4",label5)
  call to_history("label5", ' '  )
  
  call sep_close()

  allocate(datain(n1))


  ! Read data

  do mm=1,n5
  do ll=1,n4
  do kk=1,n3
  do jj=1,n2
  
  call sreed("in",datain,4*n1)
  
  dataout = 0.
  do ii=1,n1
    dataout = dataout + dble(datain(ii))**2.
  end do
  dataout = sqrt(dataout)/dble(n1*d1)
  
  call srite("out",real(dataout),4 )
  
  end do
  end do
  end do
  end do


  call exit(0)

end program
