program test_real_sum

  use sep

  integer          :: ii
  integer          :: array_size,value
  real             :: res1,res2,res3
  real,allocatable :: array(:)
  double precision :: s

  call sep_init()
  call from_param( "array_size",array_size,10)
  call from_param("value",  value   ,10)
  call sep_close()
  write(0,*) "From Parameter:"
  write(0,*) "array_size: ", array_size
  write(0,*) "value: ", value
  allocate( array(array_size) )
  array = real(value)

  write(0,*) " "
  write(0,*) "From Compile and system:"
  write(0,*) "HUGE(array_size): ", HUGE(array_size)
  write(0,*) "HUGE(real(array_size)): ", HUGE(real(array_size))
  write(0,*) "HUGE(value): ", HUGE(value)
  write(0,*) "HUGE(real(value)): ", HUGE(real(value))


  ! First Method
  res1=sum(array)/size(array)

  ! Second Method
  res2=real( sum(dble(array))/dble(size(array)) )

  ! Third Method
  s1=0
  s2=0
  do ii=1,size(array)
    s = s+array(ii)
  end do
  res3=s/size(array)

  write(0,*) " "
  write(0,*) "Calculations:"
  write(0,*) "size(array): ",size(array)
  write(0,*) "res1: ",res1
  write(0,*) "res2: ",res2
  write(0,*) "res3: ",res3

  deallocate( array )

end program
