% Suppose you want to run Matlab in batch mode from the UNIX line of command or
% from a Makefile, e.g: matlab < inputscript.m. Supppose that inputscript.m
% produces a figure, and you do not want the figure to be displayed during
% execution of inputscript.m. You need to have in inputscript.m the command:
% figure('visible','off')
%
% Example. inputscript.m consists of the following three lines:
% figure('visible','off')
% plot(1:10)
% print -djpeg image.jpg
%
% You print in the UNIX line of command: matlab < inputscript.m 
% And then you find the file image.jpg in the current directory! 
% Nick