function t_h_s=headers
% containins the header structure information. This can be different from
% SEG-Y to SEG-Y file. Customize it for your files.
% t_h_s comes from 'trace header structure' (different than reel headers)
% t_h_s is a cell matrix. t_h_s can contain only a few of the header
% fields, allowing you to work with shorter headers.
% See also: LOADSEGYHEADERS, LOADSEGYTRACES

t_h_s{1,1}='ffid';	t_h_s{1,2}=9;		t_h_s{1,3}='int32';
t_h_s{2,1}='channel';	t_h_s{2,2}=13;		t_h_s{2,3}='int32';     
t_h_s{3,1}='source';	t_h_s{3,2}=17;		t_h_s{3,3}='int32';     
t_h_s{4,1}='cdp';	t_h_s{4,2}=21;		t_h_s{4,3}='int32';     
t_h_s{5,1}='offset';	t_h_s{5,2}=37;		t_h_s{5,3}='int32';     
t_h_s{6,1}='sou_elev';	t_h_s{6,2}=41;		t_h_s{6,3}='int32';     
t_h_s{7,1}='rec_elev';	t_h_s{7,2}=45;		t_h_s{7,3}='int32';     
t_h_s{8,1}='dyn_load';	t_h_s{8,2}=49;		t_h_s{8,3}='int32';     
t_h_s{9,1}='rec_sloc';	t_h_s{9,2}=61;		t_h_s{9,3}='int32';     
t_h_s{10,1}='sou_sloc';	t_h_s{10,2}=65;		t_h_s{10,3}='int32';     
t_h_s{11,1}='sou_long';	t_h_s{11,2}=73;		t_h_s{11,3}='int32';     
t_h_s{12,1}='sou_lat';	t_h_s{12,2}=77;		t_h_s{12,3}='int32';     
t_h_s{13,1}='rec_long';	t_h_s{13,2}=81;		t_h_s{13,3}='int32';     
t_h_s{14,1}='rec_lat';	t_h_s{14,2}=85;		t_h_s{14,3}='int32';     
t_h_s{15,1}='rec_stat';	t_h_s{15,2}=101;	t_h_s{15,3}='int16';     
t_h_s{16,1}='tot_stat';	t_h_s{16,2}=103;	t_h_s{16,3}='int16';     
t_h_s{17,1}='ns';	t_h_s{17,2}=115;	t_h_s{17,3}='int16';     
t_h_s{18,1}='dt';	t_h_s{18,2}=117;	t_h_s{18,3}='int16';     
t_h_s{19,1}='sensor';	t_h_s{19,2}=133;	t_h_s{19,3}='int16';     
t_h_s{20,1}='year';	t_h_s{20,2}=157;	t_h_s{20,3}='int16';     
t_h_s{21,1}='day';	t_h_s{21,2}=159;	t_h_s{21,3}='int16';     
t_h_s{22,1}='hour';	t_h_s{22,2}=161;	t_h_s{22,3}='int16';     
t_h_s{23,1}='min';	t_h_s{23,2}=163;	t_h_s{23,3}='int16';     
t_h_s{24,1}='sec';	t_h_s{24,2}=165;	t_h_s{24,3}='int16';     
t_h_s{25,1}='azimuth';	t_h_s{25,2}=171;	t_h_s{25,3}='int16';     
t_h_s{26,1}='station';	t_h_s{26,2}=173;	t_h_s{26,3}='int16';     
t_h_s{27,1}='old_ffid';	t_h_s{27,2}=175;	t_h_s{27,3}='int16';     
t_h_s{28,1}='cdp_y';	t_h_s{28,2}=181;	t_h_s{28,3}='float32';     
t_h_s{29,1}='cdp_x';	t_h_s{29,2}=185;	t_h_s{29,3}='float32';     
t_h_s{30,1}='dataform';	t_h_s{30,2}=205;	t_h_s{30,3}='int16';     
t_h_s{31,1}='msec';	t_h_s{31,2}=207;	t_h_s{31,3}='int16';     
t_h_s{32,1}='trigyear';	t_h_s{32,2}=209;	t_h_s{32,3}='int16';     
t_h_s{33,1}='trigday';	t_h_s{33,2}=211;	t_h_s{33,3}='int16';     
t_h_s{34,1}='trighour';	t_h_s{34,2}=213;	t_h_s{34,3}='int16';     
t_h_s{35,1}='trigmin';	t_h_s{35,2}=215;	t_h_s{35,3}='int16';     
t_h_s{36,1}='trigsec';	t_h_s{36,2}=217;	t_h_s{36,3}='int16';     
t_h_s{37,1}='trigmsec';	t_h_s{37,2}=219;	t_h_s{37,3}='int16';     
t_h_s{38,1}='inst_no';	t_h_s{38,2}=225;	t_h_s{38,3}='int16';    
t_h_s{39,1}='max';	t_h_s{39,2}=233;	t_h_s{39,3}='int32';     
t_h_s{40,1}='minim';	t_h_s{40,2}=237;	t_h_s{40,3}='int32';   