program sdrMaxloc
  ! Replaxes the first trace with the value of the positive maximum of the whole aray.
  ! As a tweak to have radar plot the values correctly.

  
  use sep
  implicit none
  
  real,allocatable :: data(:,:,:)
  integer          :: n1,n2,n3
  real             :: maxvalue

  logical          :: allpos
  
  
  call sep_init()
  
  call from_history("n1",n1,1 )
  call from_history("n2",n2,1 )
  call from_history("n3",n3,1 )

  call from_param("allpos",allpos,.false.)

  call sep_close()
  
  allocate( data(n1,n2,n3) )

  call sreed("in" ,data,4*n1*n2*n3 )

  maxvalue = maxval( abs(data) )
  write(0,*) maxvalue
  
  if (allpos) then
    data(:,1,1) =  0
  else
    data(:,1,1) = -maxvalue
  end if
  data(:,2,1) =  maxvalue

  call srite("out",data,4*n1*n2*n3)
  
  deallocate( data )

end program
