  write(0,*) Dispersion Curve Fit
  ! Calculate Disperion Curve   (to be put into seperate program at some point)
  do mm=1,n4
   do ll=1,n3
    im = (mm-1)*n4+ll
    write(0,*) 'Midpoint:', im, '/', n3*n4
    
    ! Estimate V-Curve
    do ii=1,nf
      c_ind = minloc( MISFIT_M(ii,1:cn,im) )
      MODEL(ii) = C(c_ind(1))
    end do
    
    ! Create r-axis
    nr=0
    do jj=1,n2
      nr    =   nr + 1
      r(nr) =   f2 + d2*(jj-1)
    end do
    
    ! Calculate Model
    do jj=1,nr
      radius = r(jj)
      do ii=1,nf
        MODEL_D(ii,jj) =  DATA(ii,1)*besj0(radius*f(ii)/MODEL(ii) )
      end do
    end do
    
    ! Write Data and data-space Model
    call srite( "out" , DATA    , 4*size(DATA   ) )
    call srite( "out" , MODEL_D , 4*size(MODEL_D) )
    
    ! Write Model
    if (exist_file ("vcurve")) then
      call srite("vcurve", MODEL, 4*size(MODEL) )
    end if

    ! Write Misfit
    if (exist_file ("misfit")) then
      call srite("misfit", MISFIT, 4*size(MISFIT) )
    end if
    
   end do
  end do
