program sdrMute_db

 use sep
 implicit none


 double precision, allocatable       :: data(:)

 integer                 :: n1,n2,n3,n4,n5,ii,jj,kk,ll,mm,nkill,esize
 integer,allocatable     :: kill(:)

 call sep_init()

 call from_param("nkill",nkill,1)
 call from_history("n1",n1,1)
 call from_history("n2",n2,1)
 call from_history("n3",n3,1)
 call from_history("n4",n4,1)
 call from_history("n5",n5,1)
 call from_history("esize",esize,8)

 nkill = nkill+1
 allocate(kill(nkill))
 kill = 0
 
 call from_param("kill",kill,kill)
 kill(nkill+1) = 0

 write(0,*) "kill", kill

 call sep_close()


 allocate(data(n1))

 ii=1
 do mm=1,n5
 do ll=1,n4
 do kk=1,n3
 do jj=1,n2

  call sreed( "in",data,esize*n1)
  !write(0,*) "trace:", (mm-1)*n2*n3*n4 + (ll-1)*n2*n3 + (kk-1)*n2 + jj
  if((mm-1)*n2*n3*n4 + (ll-1)*n2*n3 + (kk-1)*n2 + jj .eq. kill(ii) ) then
    write(0,*) "Killed",kill(ii)
    data = 0.
    ii = ii+1
  end if
  call srite("out",data,esize*n1)

 end do
 end do
 end do
 end do


 deallocate(kill)
 deallocate(data)


end program
